Subject: Re: git status always modifies index?

From: Junio C Hamano <[email-masked]>
Date: Mon, 27 Nov 2017 13:56:41 +0900

Jeff King <[email-masked]> writes:

> I actually consider "--no-optional-locks" to be such an aspirational
> feature. I didn't go digging for other cases (though I'm fairly certain
> that "diff" has one), but hoped to leave it for further bug reports ("I
> used the option, ran command X, and saw lock contention").

OK, then we are essentially on the same page.  I just was hoping
that we can restrain ourselves from adding these "non essential"
knobs at too fine granularity, ending up forcing end users to use
all of them.